package cn.com.infosec.asn1.smime;

import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.DEREncodable;
import cn.com.infosec.asn1.DEREncodableVector;
import cn.com.infosec.asn1.DERInteger;
import cn.com.infosec.asn1.DERObjectIdentifier;
import cn.com.infosec.asn1.DERSequence;

public class SMIMECapabilityVector {
   private ASN1EncodableVector capabilities;

   public SMIMECapabilityVector() {
      SMIMECapabilityVector var10000 = this;
      super();
      ASN1EncodableVector var1;
      var1 = new ASN1EncodableVector.<init>();
      var10000.capabilities = var1;
   }

   public void addCapability(DERObjectIdentifier capability) {
      this.capabilities.add(new DERSequence(capability));
   }

   public void addCapability(DERObjectIdentifier capability, int value) {
      SMIMECapabilityVector var10000 = this;
      ASN1EncodableVector var3;
      ASN1EncodableVector var10001 = var3 = new ASN1EncodableVector;
      var3.<init>();
      var10001.add(capability);
      var10001.add(new DERInteger(value));
      var10000.capabilities.add(new DERSequence(var3));
   }

   public void addCapability(DERObjectIdentifier capability, DEREncodable params) {
      SMIMECapabilityVector var10000 = this;
      ASN1EncodableVector var3;
      ASN1EncodableVector var10001 = var3 = new ASN1EncodableVector;
      var3.<init>();
      var3.add(capability);
      var10001.add(params);
      var10000.capabilities.add(new DERSequence(var3));
   }

   public DEREncodableVector toDEREncodableVector() {
      return this.capabilities;
   }
}
